## ECalBackendStore ECalBackendStore |

## Synopsis

                        ECalBackendStore;
    const gchar *       e_cal_backend_store_get_path        (ECalBackendStore *store);
    gboolean            e_cal_backend_store_load            (ECalBackendStore *store);
    gboolean            e_cal_backend_store_is_loaded       (ECalBackendStore *store);
    gboolean            e_cal_backend_store_remove          (ECalBackendStore *store);
    gboolean            e_cal_backend_store_clean           (ECalBackendStore *store);
    ECalComponent *     e_cal_backend_store_get_component   (ECalBackendStore *store,
                                                             const gchar *uid,
                                                             const gchar *rid);
    gboolean            e_cal_backend_store_put_component   (ECalBackendStore *store,
                                                             ECalComponent *comp);
    gboolean            e_cal_backend_store_remove_component
                                                            (ECalBackendStore *store,
                                                             const gchar *uid,
                                                             const gchar *rid);
    gboolean            e_cal_backend_store_has_component   (ECalBackendStore *store,
                                                             const gchar *uid,
                                                             const gchar *rid);
    const icaltimezone * e_cal_backend_store_get_timezone   (ECalBackendStore *store,
                                                             const gchar *tzid);
    gboolean            e_cal_backend_store_put_timezone    (ECalBackendStore *store,
                                                             const icaltimezone *zone);
    gboolean            e_cal_backend_store_remove_timezone (ECalBackendStore *store,
                                                             const gchar *tzid);
    const icaltimezone * e_cal_backend_store_get_default_timezone
                                                            (ECalBackendStore *store);
    gboolean            e_cal_backend_store_set_default_timezone
                                                            (ECalBackendStore *store,
                                                             const icaltimezone *zone);
    GSList *            e_cal_backend_store_get_components_by_uid
                                                            (ECalBackendStore *store,
                                                             const gchar *uid);
    GSList *            e_cal_backend_store_get_components  (ECalBackendStore *store);
    GSList *            e_cal_backend_store_get_component_ids
                                                            (ECalBackendStore *store);
    const gchar *       e_cal_backend_store_get_key_value   (ECalBackendStore *store,
                                                             const gchar *key);
    gboolean            e_cal_backend_store_put_key_value   (ECalBackendStore *store,
                                                             const gchar *key,
                                                             const gchar *value);
    void                e_cal_backend_store_thaw_changes    (ECalBackendStore *store);
    void                e_cal_backend_store_freeze_changes  (ECalBackendStore *store);

## Description

## Details

### ECalBackendStore

    typedef struct {
    	GObject parent;
    	ECalBackendStorePrivate *priv;
    } ECalBackendStore;

Since 2.28

### e_cal_backend_store_get_path ()

    const gchar *       e_cal_backend_store_get_path        (ECalBackendStore *store);

`store` : |
Returns : |

Since 2.28

### e_cal_backend_store_load ()

    gboolean            e_cal_backend_store_load            (ECalBackendStore *store);

`store` : |
Returns : |

Since 2.28

### e_cal_backend_store_is_loaded ()

    gboolean            e_cal_backend_store_is_loaded       (ECalBackendStore *store);

`store` : |
Returns : |

### e_cal_backend_store_remove ()

    gboolean            e_cal_backend_store_remove          (ECalBackendStore *store);

`store` : |
Returns : |

Since 2.28

### e_cal_backend_store_clean ()

    gboolean            e_cal_backend_store_clean           (ECalBackendStore *store);

`store` : |
Returns : |

Since 2.28

### e_cal_backend_store_get_component ()

    ECalComponent *     e_cal_backend_store_get_component   (ECalBackendStore *store,
                                                             const gchar *uid,
                                                             const gchar *rid);

`store` : |
`uid` : |
`rid` : |
Returns : |

Since 2.28

### e_cal_backend_store_put_component ()

    gboolean            e_cal_backend_store_put_component   (ECalBackendStore *store,
                                                             ECalComponent *comp);

`store` : |
`comp` : |
Returns : |

Since 2.28

### e_cal_backend_store_remove_component ()

    gboolean            e_cal_backend_store_remove_component
                                                            (ECalBackendStore *store,
                                                             const gchar *uid,
                                                             const gchar *rid);

`store` : |
`uid` : |
`rid` : |
Returns : |

Since 2.28

### e_cal_backend_store_has_component ()

    gboolean            e_cal_backend_store_has_component   (ECalBackendStore *store,
                                                             const gchar *uid,
                                                             const gchar *rid);

`store` : |
`uid` : |
`rid` : |
Returns : |

Since 2.28

### e_cal_backend_store_get_timezone ()

    const icaltimezone * e_cal_backend_store_get_timezone   (ECalBackendStore *store,
                                                             const gchar *tzid);

`store` : |
`tzid` : |
Returns : |

Since 2.28

### e_cal_backend_store_put_timezone ()

    gboolean            e_cal_backend_store_put_timezone    (ECalBackendStore *store,
                                                             const icaltimezone *zone);

`store` : |
`zone` : |
Returns : |

Since 2.28

### e_cal_backend_store_remove_timezone ()

    gboolean            e_cal_backend_store_remove_timezone (ECalBackendStore *store,
                                                             const gchar *tzid);

`store` : |
`tzid` : |
Returns : |

Since 2.28

### e_cal_backend_store_get_default_timezone ()

    const icaltimezone * e_cal_backend_store_get_default_timezone
                                                            (ECalBackendStore *store);

`store` : |
Returns : |

Since 2.28

### e_cal_backend_store_set_default_timezone ()

    gboolean            e_cal_backend_store_set_default_timezone
                                                            (ECalBackendStore *store,
                                                             const icaltimezone *zone);

`store` : |
`zone` : |
Returns : |

Since 2.28

### e_cal_backend_store_get_components_by_uid ()

    GSList *            e_cal_backend_store_get_components_by_uid
                                                            (ECalBackendStore *store,
                                                             const gchar *uid);

`store` : |
`uid` : |
Returns : |

Since 2.28

### e_cal_backend_store_get_components ()

    GSList *            e_cal_backend_store_get_components  (ECalBackendStore *store);

`store` : |
Returns : |

Since 2.28

### e_cal_backend_store_get_component_ids ()

    GSList *            e_cal_backend_store_get_component_ids
                                                            (ECalBackendStore *store);

`store` : |
Returns : |

Since 2.28

### e_cal_backend_store_get_key_value ()

    const gchar *       e_cal_backend_store_get_key_value   (ECalBackendStore *store,
                                                             const gchar *key);

`store` : |
`key` : |
Returns : |

Since 2.28

### e_cal_backend_store_put_key_value ()

    gboolean            e_cal_backend_store_put_key_value   (ECalBackendStore *store,
                                                             const gchar *key,
                                                             const gchar *value);

`store` : |
`key` : |
`value` : |
Returns : |

Since 2.28

### e_cal_backend_store_thaw_changes ()

    void                e_cal_backend_store_thaw_changes    (ECalBackendStore *store);

`store` : |

Since 2.28

### e_cal_backend_store_freeze_changes ()

    void                e_cal_backend_store_freeze_changes  (ECalBackendStore *store);

`store` : |

Since 2.28